Webhook Event Get
curl --request GET \
--url https://api.decodahealth.com/webhook/decoda/events/{webhook_delivery_attempt_id} \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/webhook/decoda/events/{webhook_delivery_attempt_id}"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/webhook/decoda/events/{webhook_delivery_attempt_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "PATIENT_CREATED",
"data": {
"id": "<string>",
"amount": 123,
"status": "CANCELED",
"paymentMedium": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"feeToPatient": 123,
"patientId": "<string>",
"payinId": "<string>",
"currency": "USD",
"payinConfigId": "<string>",
"paymentMethodId": "<string>",
"stripePaymentIntentId": "<string>",
"failedReason": "<string>",
"updatedDate": "2023-11-07T05:31:56Z",
"fee": 0
},
"createdDate": "2023-11-07T05:31:56Z",
"alertId": "<string>",
"deliveredDate": "2023-11-07T05:31:56Z",
"lastDeliveryAttemptDate": "2023-11-07T05:31:56Z",
"lastDeliveryAttemptStatus": 123,
"lastDeliveryAttemptError": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Webhooks
Webhook Event Get
Get a single WebhookDeliveryAttempt
GET
/
webhook
/
decoda
/
events
/
{webhook_delivery_attempt_id}
Webhook Event Get
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
An Event in Decoda's system.
Unique identifier for the webhook delivery attempt.
The type of event.
Available options:
PATIENT_CREATED, PATIENT_UPDATED, APPOINTMENT_CANCELLED, APPOINTMENT_UPDATED, APPOINTMENT_REQUEST, APPOINTMENT_SCHEDULED, SELF_SCHEDULED_APPOINTMENT, SELF_SCHEDULED_APPOINTMENT_CANCELLED, SELF_SCHEDULED_APPOINTMENT_UPDATED, BLOCK_CREATED, BLOCK_CANCELLED, BLOCK_UPDATED, SHIFT_CREATED, SHIFT_CANCELLED, SHIFT_UPDATED, PAYMENT_CREATED, PAYMENT_FAILED, PAYMENT_SUCCEEDED, PLANNED_PAYMENT_FAILED, PLANNED_PAYMENT_SUCCEEDED, CHARGE_CREATED, REFUND_CREATED, REFUND_FAILED, REFUND_SUCCEEDED, ADJUSTMENT_CREATED, ADJUSTMENT_FAILED, ADJUSTMENT_SUCCEEDED, INVOICE_UPDATED, INVOICE_STATUS_UPDATE, INVOICE_SET_UPDATED, CHARGE_PAYMENT_CREATED, CALL_RECEIVED, CALL_MADE, CALL_ONGOING, MESSAGE_RECEIVED, MESSAGE_SENT, MESSAGE_DELIVERED, MESSAGE_FAILED, EMAIL_RECEIVED, EMAIL_SENT, MAIL_SENT, MAIL_DELIVERY_FAILED, FORM_SUBMITTED, APPOINTMENT_CHECKLIST_FILLED_FORM, APPOINTMENT_CHECKLIST_CHECKED_IN, APPOINTMENT_CHECKLIST_WITH_MA, APPOINTMENT_CHECKLIST_MEASUREMENT_TAKEN, APPOINTMENT_CHECKLIST_DOSE_TAKEN, APPOINTMENT_CHECKLIST_WITH_PROVIDER, APPOINTMENT_CHECKLIST_NOTE_TAKEN, APPOINTMENT_CHECKLIST_PAYMENT_MADE, APPOINTMENT_CHECKLIST_REQUEST_GFE, APPOINTMENT_CHECKLIST_PICTURE_TAKEN, APPOINTMENT_CHECKLIST_CARE_PLAN, NOTIFICATION, LOW_PATIENT_REVIEW, CHAT_UPDATE, RAINFOREST_PAYIN_FAILED, RAINFOREST_PAYIN_PROCESSING, RAINFOREST_POS_PAYIN_CANCELLED, RAINFOREST_DEPOSIT_IN_REVIEW, RAINFOREST_DEPOSIT_SUCCEEDED, RAINFOREST_DEPOSIT_FAILED, STOCK_LOW, STOCK_ADDED, STOCK_ARCHIVED, STOCK_LINKED_TO_ITEM, STOCK_UNLINKED_FROM_ITEM, STOCK_UPDATED, STOCK_DRAWDOWN, SHIPMENT_RECEIVED, SHIPMENT_UPDATED, SHIPMENT_ARCHIVED, ITEM_CREATED, ITEM_UPDATED, ITEM_ARCHIVED, INVENTORY_ACTION The Alert's data associated with this WebhookDeliveryAttempt.
- Payment
- RefundSummary
- AdjustmentSummary
- ChargeSummary
- ServiceDetail
- MessageSummary
- Payment
- PatientSummary
- InvoiceUpdate
- LowPatientReviewData
- InvoiceSetUpdate
- Notification
- CallSummary
- EventDetail
- UpdatedAppointment
- AnsweredFormTiny
- PlannedPaymentSummary
- PayinEvent
- ChatUpdate
- InventoryLog
- ChargePaymentUpdate
- AppointmentChecklistUpdatedData
- DepositEvent
Show child attributes
Show child attributes
The date and time when the event was created.
The Alert's id associated with this WebhookDeliveryAttempt.
The date and time when the event was delivered.
The date and time when the last delivery attempt was made.
The HTTP status of the last delivery attempt.
The error message from the last delivery attempt, if any.

